Page MenuHomePhabricator

Use server-side adaptation for categories in CX2
Closed, ResolvedPublic

Description

CX2 still uses client-side adaptation for categories. It should use the <meta> tags that are already provided in the server-side adaptation, and stick those into the VE DM so the built-in VE category editor can edit them.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterMore tests and fixes for section wraps
mediawiki/extensions/ContentTranslation : masterUse categories adapted on server
mediawiki/extensions/ContentTranslation : masterCX2: Use the new page fetch api
mediawiki/services/cxserver : masterExtract and expose categories in page API

Event Timeline

Catrope created this task.Oct 3 2017, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2017, 5:47 PM
Arrbee assigned this task to Catrope.Oct 11 2017, 7:18 AM

Change 389751 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/services/cxserver@master] [WIP] Extract and expose categories in page API

https://gerrit.wikimedia.org/r/389751

Arrbee moved this task from CX2 to April-June 2018 on the ContentTranslation board.Jan 5 2018, 1:14 PM
Arrbee removed Catrope as the assignee of this task.Feb 8 2018, 9:37 AM
Arrbee added a subscriber: Arrbee.

@Catrope is moving to other project priority and this task is now not assigned to him any more.

Pginer-WMF triaged this task as Medium priority.Feb 20 2018, 7:14 AM

Change 414952 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Use the new page fetch api

https://gerrit.wikimedia.org/r/414952

Change 389751 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Extract and expose categories in page API

https://gerrit.wikimedia.org/r/389751

Change 414952 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Use the new page fetch api

https://gerrit.wikimedia.org/r/414952

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 6 2018, 3:26 PM

Change 416847 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Use categories adapted on server

https://gerrit.wikimedia.org/r/416847

Change 416674 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] More tests and fixes for section wraps

https://gerrit.wikimedia.org/r/416674

Change 416847 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use categories adapted on server

https://gerrit.wikimedia.org/r/416847

Change 416674 merged by jenkins-bot:
[mediawiki/services/cxserver@master] More tests and fixes for section wraps

https://gerrit.wikimedia.org/r/416674

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 8 2018, 11:04 AM

I'll wait till cxserver is deployed in production before closing, but everything seems OK related to category adaption.

KartikMistry closed this task as Resolved.Mar 15 2018, 2:56 AM